#   FILE: config.mk -- Makefile configuration file for fctk.
# AUTHOR: W. Michael Petullo <new@flyn.org>
#   DATE: 01 November 2000 
#
# Copyright (C) 1999 W. Michael Petullo <new@flyn.org>
# All rights reserved.
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

# ============================= Definitions =================================== 
WEB_DIR = $(HOME)/public_html/www.flyn.org
XSLT_DIR = /usr/share/fctk

# ============================= BUILD_RPM ===================================== 
BUILD_RPM = \
if which rpmbuild 2> /dev/null; then \
	cp $(distdir).tar.gz /home/mike/development/rpms/SOURCES && \
	unset FLYN && \
	rpmbuild -ba dry/$(PACKAGE).spec && \
	rpm --addsign ../rpms/RPMS/ppc/$(PACKAGE)-$(VERSION)-0.fdr.1.ppc.rpm && \
	rpm --addsign ../rpms/SRPMS/$(PACKAGE)-$(VERSION)-0.fdr.1.src.rpm; \
else \
	echo No rpmbuild\; will not create RPM; \
fi

# ============================= BUILD_DEB ===================================== 
# FIXME: contains ugly hack to update debian/changelog
BUILD_DEB = \
if which dpkg-buildpackage 2> /dev/null; then \
	cp debian/changelog debian/changelog.old ; \
	echo -e "` echo $(PACKAGE) | sed 's/_/-/g'`  ($(VERSION)-1) unstable; urgency=low\n\n  * Updated to source version $(VERSION).\n\n -- "` getent passwd | grep $(USER) | awk  -F : '{ print $$5 }' | awk -F , '{ print $$1 }'`" ($(NICKNAME)) <$(EMAIL)>  "`date --rfc-822`"\n" > debian/changelog ; \
	cat debian/changelog.old >> debian/changelog ; \
	rm debian/changelog.old ; \
	dpkg-buildpackage -rfakeroot; \
else \
	echo No dpkg-buildpackage\; will not create Debian package; \
fi

# ============================= CHECK ========================================= 
CHECK = rpmlint $(HOME)/development/rpms/RPMS/ppc/$(PACKAGE)-$(VERSION)-*.i386.rpm; \
find . -name '*.[ch]' -exec lclint {} \;

# ============================= LINT ==========================================
LINT = splint +posixlib $(AM_CFLAGS) $(DEFAULT_INCLUDES) $(INCLUDES) $(SOURCES)

# ============================= PUBLISH ======================================= 
PUBLISH = mkdir -p $(WEB_DIR)/projects/$(PACKAGE); \
if [ -f $(WEB_DIR)/projects/$(PACKAGE)/$(PACKAGE)-$(VERSION).tar.gz ]; then \
	echo $(WEB_DIR)/projects/$(PACKAGE)/$(PACKAGE)-$(VERSION).tar.gz exists; \
	false; \
else \
	install -m 644 $(PACKAGE)-$(VERSION).tar.gz $(WEB_DIR)/projects/$(PACKAGE)/$(PACKAGE)-$(VERSION).tar.gz; \
	( \
		cd $(WEB_DIR)/projects/$(PACKAGE); \
		ln -sf $(PACKAGE)-$(VERSION).tar.gz $(PACKAGE).tar.gz; \
	); \
	install -m 644 ../rpms/RPMS/ppc/$(PACKAGE)-$(VERSION)-0.fdr.1.ppc.rpm $(WEB_DIR)/projects/$(PACKAGE)/$(PACKAGE)-$(VERSION)-0.fdr.1.ppc.rpm; \
	install -m 644 ../rpms/SRPMS/$(PACKAGE)-$(VERSION)-0.fdr.1.src.rpm $(WEB_DIR)/projects/$(PACKAGE)/$(PACKAGE)-$(VERSION)-0.fdr.1.src.rpm; \
	( \
		cd $(WEB_DIR)/projects/$(PACKAGE); \
		ln -sf $(PACKAGE)-$(VERSION)-0.fdr.1.ppc.rpm $(PACKAGE).ppc.rpm; \
		ln -sf $(PACKAGE)-$(VERSION)-0.fdr.1.src.rpm $(PACKAGE).src.rpm; \
	); \
	install -m 644 ../`echo $(PACKAGE) | sed 's/_/-/g'`_$(VERSION)-1_powerpc.deb $(WEB_DIR)/projects/$(PACKAGE)/`echo $(PACKAGE) | sed 's/_/-/g'`_$(VERSION)-1_powerpc.deb; \
	( \
		cd $(WEB_DIR)/projects/$(PACKAGE); \
		[ -f `echo $(PACKAGE) | sed 's/_/-/g'`_$(VERSION)-1_powerpc.deb ] && ln -sf `echo $(PACKAGE) | sed 's/_/-/g'`_$(VERSION)-1_powerpc.deb `echo $(PACKAGE) | sed 's/_/-/g'`_powerpc.deb; \
	); \
	[ -f dry/$(PACKAGE).png ] && install -m 644 dry/$(PACKAGE).png $(WEB_DIR)/projects/$(PACKAGE)/$(PACKAGE).png; \
	install -m 644 dry/$(PACKAGE).html $(WEB_DIR)/projects/$(PACKAGE)/index.html; \
	install -m 644 dry/$(PACKAGE)_summary.html $(WEB_DIR)/projects/; \
	install -m 644 ChangeLog $(WEB_DIR)/projects/$(PACKAGE)/ChangeLog; \
	( cd $(WEB_DIR); make install ); \
fi
