<?xml version="1.0"?>

<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
<xsl:output method="text"/>
<xsl:strip-space elements="*"/>

<xsl:include href="util.xslt"/>

<xsl:template match="/">
	<xsl:apply-templates select="resume"/>
</xsl:template>

<xsl:template match="resume">
	<xsl:apply-templates select="name"/>
	<xsl:apply-templates select="address"/>
	<xsl:apply-templates select="section"/>
	<xsl:value-of select="$cr"/>
	<xsl:text>References available upon request.</xsl:text>
</xsl:template>

<xsl:template match="name">
	<xsl:apply-templates select="first"/>
	<xsl:apply-templates select="middle"/>
	<xsl:apply-templates select="last"/>
</xsl:template>

<xsl:template match="name/first">
	<xsl:value-of select="."/>
	<xsl:text> </xsl:text>
</xsl:template>

<xsl:template match="name/middle">
	<xsl:value-of select="."/>
	<xsl:text> </xsl:text>
</xsl:template>

<xsl:template match="name/last">
	<xsl:value-of select="."/>
	<xsl:value-of select="$cr"/>
        <xsl:value-of select="$cr"/>
</xsl:template>

<xsl:template match="address">
	<xsl:apply-templates select="street"/>
	<xsl:apply-templates select="town"/>
	<xsl:text>, </xsl:text>
	<xsl:apply-templates select="state"/>
	<xsl:text> </xsl:text>
	<xsl:apply-templates select="zip"/>
	<xsl:apply-templates select="phone"/>
	<xsl:apply-templates select="url"/>
	<xsl:apply-templates select="email"/>
	<xsl:value-of select="$cr"/>
</xsl:template>

<xsl:template match="street">
	<xsl:value-of select="."/>
	<xsl:value-of select="$cr"/>
</xsl:template>

<xsl:template match="town">
	<xsl:value-of select="."/>
</xsl:template>

<xsl:template match="state">
	<xsl:value-of select="."/>
</xsl:template>

<xsl:template match="zip">
	<xsl:value-of select="."/>
	<xsl:value-of select="$cr"/>
</xsl:template>

<xsl:template match="phone">
	<xsl:text>phone: </xsl:text>
	<xsl:value-of select="."/>
	<xsl:value-of select="$cr"/>
</xsl:template>

<xsl:template match="url">
	<xsl:value-of select="."/>
	<xsl:value-of select="$cr"/>
</xsl:template>

<xsl:template match="email">
	<xsl:value-of select="."/>
	<xsl:value-of select="$cr"/>
</xsl:template>

<xsl:template match="section">
	<xsl:call-template name="underline">
		<xsl:with-param name="text" select="@name"/>
		<xsl:with-param name="underlinechar">
			<xsl:text>=</xsl:text>
		</xsl:with-param>
	</xsl:call-template>
	<xsl:value-of select="$cr"/>
	<xsl:apply-templates select="entry"/>
</xsl:template>

<xsl:template match="entry">
	<xsl:apply-templates select="position"/>
	<xsl:apply-templates select="dates"/>
	<xsl:apply-templates select="employer"/>
	<xsl:apply-templates select="description"/>
</xsl:template>

<xsl:template match="position">
	<xsl:call-template name="underline">
		<xsl:with-param name="text" select="."/>
		<xsl:with-param name="underlinechar">
			<xsl:text>-</xsl:text>
		</xsl:with-param>
	</xsl:call-template>
	<xsl:value-of select="$cr"/>
</xsl:template>

<xsl:template match="dates">
	<xsl:value-of select="."/>
	<xsl:value-of select="$cr"/>
</xsl:template>

<xsl:template match="employer">
	<xsl:value-of select="."/>
	<xsl:value-of select="$cr"/>
</xsl:template>

<xsl:template match="description">
	<xsl:apply-templates/>
</xsl:template>

<xsl:template match="para">
	<xsl:call-template name="fmt">
                <xsl:with-param name="str">
                        <xsl:value-of select="."/>
                </xsl:with-param>
                <xsl:with-param name="before">
                        <xsl:text></xsl:text>
                </xsl:with-param>
        </xsl:call-template>
	<xsl:value-of select="$cr"/>
	<xsl:value-of select="$cr"/>
</xsl:template>

<xsl:template match="itemizedlist">
	<xsl:apply-templates/>
	<xsl:value-of select="$cr"/>
</xsl:template>

<xsl:template match="listitem">
	<xsl:text>o </xsl:text>
	<xsl:call-template name="fmt">
                <xsl:with-param name="str">
                        <xsl:value-of select="."/>
                </xsl:with-param>
                <xsl:with-param name="before">
                        <xsl:text></xsl:text>
                </xsl:with-param>
        </xsl:call-template>
	<xsl:value-of select="$cr"/>
</xsl:template>

</xsl:stylesheet>
