<?xml version="1.0"?>

<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
<xsl:output method="text"/>
<xsl:strip-space elements="*"/>

<xsl:include href="util.xslt"/>
	
<xsl:template match="/">
	<xsl:apply-templates select="project"/>
</xsl:template>

<xsl:template match="project">
	<xsl:text>%define rel 0.fdr.1</xsl:text>
	<xsl:value-of select="$cr"/>
	<xsl:value-of select="$cr"/>
	<xsl:apply-templates select="one-liner"/>
	<xsl:apply-templates select="name"/>
	<xsl:call-template name="version"/>
	<xsl:text>Release: %rel</xsl:text><xsl:value-of select="$cr"/>
	<xsl:apply-templates select="copyright"/>
	<xsl:apply-templates select="rpm-group"/>
	<xsl:text>Source: http://www.flyn.org/projects/%name/%name-%{PACKAGE_VERSION}.tar.gz</xsl:text><xsl:value-of select="$cr"/>
	<xsl:text>BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)</xsl:text>
	<xsl:value-of select="$cr"/>
	<xsl:apply-templates select="vendor"/>
	<xsl:apply-templates select="url"/>
	<xsl:apply-templates select="rpm-requires"/>
	<xsl:apply-templates select="rpm-build-requires"/>
	<xsl:value-of select="$cr"/>
	<xsl:apply-templates select="overview"/>
	<xsl:apply-templates select="prep"/>
	<xsl:apply-templates select="setup"/>
	<xsl:apply-templates select="build"/>
	<xsl:text>%prep</xsl:text>
	<xsl:value-of select="$cr"/>
	<xsl:value-of select="$cr"/>
	<xsl:value-of select="$cr"/>
	<xsl:text>%setup</xsl:text>
	<xsl:value-of select="$cr"/>
	<xsl:value-of select="$cr"/>
	<xsl:value-of select="$cr"/>
	<xsl:text>%build</xsl:text>
	<xsl:value-of select="$cr"/>
	<xsl:text>%configure</xsl:text>
	<xsl:apply-templates select="configure-flags"/>
	<xsl:value-of select="$cr"/>
	<xsl:text>make %{?_smp_mflags}</xsl:text>
	<xsl:value-of select="$cr"/>
	<xsl:value-of select="$cr"/>
	<xsl:text>%install</xsl:text>
	<xsl:value-of select="$cr"/>
	<xsl:text>rm -rf $RPM_BUILD_ROOT</xsl:text>
	<xsl:value-of select="$cr"/>
	<xsl:text>%makeinstall</xsl:text>
	<xsl:apply-templates select="makeinstall-flags"/>
	<xsl:value-of select="$cr"/>
	<xsl:apply-templates select="rpm-install"/>
	<xsl:value-of select="$cr"/>
	<xsl:value-of select="$cr"/>
	<xsl:text>%clean</xsl:text>
	<xsl:value-of select="$cr"/>
	<xsl:text>rm -rf $RPM_BUILD_ROOT</xsl:text>
	<xsl:value-of select="$cr"/>
	<xsl:value-of select="$cr"/>
	<xsl:value-of select="$cr"/>
	<xsl:apply-templates select="rpm-pre-install"/>
	<xsl:apply-templates select="rpm-post-install"/>
	<xsl:apply-templates select="rpm-pre-uninstall"/>
	<xsl:apply-templates select="rpm-post-uninstall"/>
	<xsl:text>%files</xsl:text>
	<xsl:value-of select="$cr"/>
	<xsl:text>%defattr(-, root, root)</xsl:text>
	<xsl:value-of select="$cr"/>
	<xsl:apply-templates select="files"/>
	<xsl:value-of select="$cr"/>
	<xsl:value-of select="$cr"/>
	<xsl:text>%doc</xsl:text>
	<xsl:value-of select="$tab"/>
	<xsl:text>AUTHORS COPYING ChangeLog INSTALL NEWS README FAQ</xsl:text>
	<xsl:value-of select="$cr"/>
	<xsl:value-of select="$cr"/>
	<xsl:value-of select="$cr"/>
	<xsl:apply-templates select="changelog"/>
</xsl:template>

<xsl:template match="one-liner">
	<xsl:text>Summary: </xsl:text>
	<xsl:value-of select="."/>
	<xsl:value-of select="$cr"/>
</xsl:template>

<xsl:template match="name">
	<xsl:text>Name: </xsl:text>
	<xsl:value-of select="."/>
	<xsl:value-of select="$cr"/>
</xsl:template>

<!-- Should be defined on xsltproc command line with: -->
<!-- -stringparam version x.x.x -->
<xsl:template name="version">
	<xsl:text>Version: </xsl:text>
	<xsl:value-of select="$version"/>
	<xsl:value-of select="$cr"/>
</xsl:template>

<xsl:template match="copyright">
	<xsl:text>License: </xsl:text>
	<xsl:value-of select="."/>
	<xsl:value-of select="$cr"/>
</xsl:template>

<xsl:template match="rpm-group">
	<xsl:text>Group: </xsl:text>
	<xsl:value-of select="."/>
	<xsl:value-of select="$cr"/>
</xsl:template>

<xsl:template match="vendor">
	<xsl:text>Vendor: </xsl:text>
	<xsl:value-of select="."/>
	<xsl:value-of select="$cr"/>
</xsl:template>

<xsl:template match="url">
	<xsl:text>URL: </xsl:text>
	<xsl:value-of select="."/>
	<xsl:value-of select="$cr"/>
</xsl:template>

<xsl:template match="rpm-requires">
	<xsl:text>Requires: </xsl:text>
	<xsl:value-of select="."/>
	<xsl:value-of select="$cr"/>
</xsl:template>

<xsl:template match="rpm-build-requires">
	<xsl:text>BuildRequires: </xsl:text>
	<xsl:value-of select="."/>
	<xsl:value-of select="$cr"/>
</xsl:template>

<xsl:template match="overview">
	<xsl:text>%description</xsl:text>
	<xsl:value-of select="$cr"/>
	<xsl:apply-templates select="*"/>
	<xsl:value-of select="$cr"/>
	<xsl:value-of select="$cr"/>
</xsl:template>

<xsl:template match="changelog">
	<xsl:text>%changelog</xsl:text>
	<xsl:value-of select="$cr"/>
	<xsl:for-each select="change">
		<xsl:text>* </xsl:text>
                <xsl:value-of select="date"/>
		<xsl:text> </xsl:text>
                <xsl:value-of select="author"/>
		<xsl:text> &lt;</xsl:text>
                <xsl:value-of select="email"/>
		<xsl:text>&gt; - </xsl:text>
                <xsl:value-of select="version"/>
		<xsl:value-of select="$cr"/>
		<xsl:for-each select="description">
			<xsl:text>   - </xsl:text>
			<xsl:value-of select="."/>
			<xsl:value-of select="$cr"/>
			<xsl:value-of select="$cr"/>
		</xsl:for-each>
        </xsl:for-each>
	<xsl:value-of select="$cr"/>
	<xsl:value-of select="$cr"/>
	<xsl:value-of select="$cr"/>
</xsl:template>

<xsl:template match="configure-flags">
	<xsl:text> </xsl:text>
	<xsl:value-of select="."/>
</xsl:template>

<xsl:template match="makeinstall-flags">
	<xsl:text> </xsl:text>
	<xsl:value-of select="."/>
</xsl:template>

<xsl:template match="files">
	<xsl:apply-templates select="path"/>
</xsl:template>

<xsl:template match="configs">
	<xsl:apply-templates select="path"/>
</xsl:template>

<xsl:template match="rpm-install">
	<xsl:apply-templates select="command"/>
</xsl:template>

<xsl:template match="rpm-pre-install">
	<xsl:text>%pre</xsl:text>
	<xsl:value-of select="$cr"/>
	<xsl:apply-templates select="*"/>
	<xsl:value-of select="$cr"/>
</xsl:template>

<xsl:template match="rpm-post-install">
	<xsl:text>%post</xsl:text>
	<xsl:value-of select="$cr"/>
	<xsl:apply-templates select="*"/>
	<xsl:value-of select="$cr"/>
</xsl:template>

<xsl:template match="rpm-pre-uninstall">
	<xsl:text>%preun</xsl:text>
	<xsl:value-of select="$cr"/>
	<xsl:apply-templates select="*"/>
	<xsl:value-of select="$cr"/>
</xsl:template>

<xsl:template match="rpm-post-uninstall">
	<xsl:text>%postun</xsl:text>
	<xsl:value-of select="$cr"/>
	<xsl:apply-templates select="*"/>
	<xsl:value-of select="$cr"/>
</xsl:template>

<xsl:template match="path">
	<xsl:value-of select="."/>
	<xsl:value-of select="$cr"/>
</xsl:template>

<xsl:template match="command">
	<xsl:value-of select="."/>
	<xsl:value-of select="$cr"/>
</xsl:template>

</xsl:stylesheet>
