<?xml version="1.0"?>

<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
<xsl:output method="html" doctype-public="-//W3C//dtD Xhtml 1.0 Strict//EN" doctype-system="http://www.w3.org/TR/xhtml1/dtD/xhtml1-strict.dtd"/>
	
<xsl:template match="/">
	<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en-US" lang="en-US">
	<head>
	<title>
	<xsl:value-of select="project/name"/>
	</title>
	<meta name="editor" content="xsltproc" />
	<style type="text/css">
	@import url('../../flyn.org.css');
	</style>
	</head>
	<body>

	<div class="header">
		<div class="title">
		Flyn Computing
		</div>

		<div class="description">
		Open Source Software Development
		</div>
	</div>

	<div class="side">
	<h1><a href="../../index.html">Home...</a></h1>
	<h1><a href="../index.html">More projects...</a></h1>
	<h1><a href="download.html">Download...</a></h1>
	<h1><a href="ChangeLog">ChangeLog...</a></h1>
	</div>

	<div class="main">
	<xsl:apply-templates select="project"/>
	</div>
	</body>
	</html>
</xsl:template>

<xsl:template match="project">
	<xsl:apply-templates select="name"/>
	<xsl:apply-templates select="logo"/>
	<xsl:apply-templates select="one-liner"/>
	<xsl:apply-templates select="usage"/>
	<xsl:apply-templates select="screenshot"/>
	<xsl:apply-templates select="overview"/>
	<xsl:apply-templates select="nasty-details"/>
</xsl:template>

<xsl:template match="name">
	<h1>
	<xsl:value-of select="."/>
	</h1>
</xsl:template>

<xsl:template match="one-liner">
	<p>
	<xsl:value-of select="."/>
	</p>
</xsl:template>

<xsl:template match="synopsis">
	<p>
	<xsl:value-of select="."/>
	</p>
</xsl:template>

<xsl:template match="overview">
	<h1>Overview</h1>
	<xsl:apply-templates select="*"/>
</xsl:template>

<xsl:template match="nasty-details">
	<h1>Nasty Details</h1>
	<xsl:apply-templates select="*"/>
</xsl:template>

<xsl:template match="example">
	<xsl:apply-templates select="*"/>
</xsl:template>

<xsl:template match="screenshot">
	<center>
	<img>
	<xsl:attribute name="src">
	<xsl:value-of select="."/>
	</xsl:attribute>
	<xsl:attribute name="alt">Screenshot</xsl:attribute>
	<xsl:attribute name="class">framed</xsl:attribute>
	</img>
	</center>
</xsl:template>

<xsl:template match="orderedlist">
	<ol>
	<xsl:for-each select="listitem">
		<li>
		<xsl:value-of select="."/>
		</li>
	</xsl:for-each>
	</ol>
</xsl:template>

<xsl:template match="itemizedlist">
	<ul>
	<xsl:for-each select="listitem">
		<li>
		<xsl:value-of select="."/>
		</li>
	</xsl:for-each>
	</ul>
</xsl:template>

<xsl:template match="variablelist">
	<dl>
	<xsl:for-each select="varlistentry">
		<dt>
		<xsl:value-of select="term"/>
		</dt>
		<dd>
		<xsl:value-of select="listitem"/>
		</dd>
	</xsl:for-each>
	</dl>
</xsl:template>

<xsl:template match="screen">
	<pre>
	<xsl:value-of select="."/>
	</pre>
</xsl:template>

<xsl:template match="ulink">
	<a href="{@url}">
	<xsl:apply-templates/>
	</a>
</xsl:template>

<xsl:template match="para">
	<p>
	<xsl:apply-templates/>
	</p>
</xsl:template>

</xsl:stylesheet>
